%define _disable_ld_no_undefined 1

# Needs waf 2.0
%bcond_with system_waf

%if ! %{with system_waf}
%global __waf ./waf
%endif

Name:           xmms2
Summary:        A modular audio framework and plugin architecture
Version:        0.9.5
Release:        %mkrel 5
License:        LGPLv2+ and GPLv2+ and BSD
Group:          Sound/Players
URL:            http://wiki.xmms2.xmms.se/
Source0:        https://github.com/xmms2/xmms2-devel/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        xmms2-client-launcher.sh
# update ruby config module name, because waf this can't be a patch...
Source2:        xmms2-0.8DrO_o-ruby22.patch
# More sane versioning
Patch5:         xmms2-0.9.5DrPong-moresaneversioning.patch
Patch6:         xmms2-0.9.1DrPong-no-rpath.patch
BuildRequires:      waf
BuildRequires:      pkgconfig(cunit)
BuildRequires:      pkgconfig(sqlite3)
BuildRequires:      pkgconfig(flac)
BuildRequires:      pkgconfig(libofa)
BuildRequires:      pkgconfig(libcdio_cdda)
BuildRequires:      pkgconfig(libdiscid)
BuildRequires:      pkgconfig(smbclient)
BuildRequires:      musepack-devel
BuildRequires:      gnome-vfs2-devel
BuildRequires:      pkgconfig(jack)
BuildRequires:      fftw-devel
BuildRequires:      pkgconfig(samplerate)
BuildRequires:      pkgconfig(libxml-2.0)
BuildRequires:      pkgconfig(alsa)
BuildRequires:      pkgconfig(ao)
BuildRequires:      pkgconfig(shout)
BuildRequires:      pkgconfig(ruby)
BuildRequires:      ruby
BuildRequires:      perl-devel
BuildRequires:      boost-devel
BuildRequires:      pkgconfig(libpulse)
BuildRequires:      pkgconfig(avahi-glib)
BuildRequires:      pkgconfig(libmodplug)
BuildRequires:      pkgconfig(efl)
BuildRequires:      pkgconfig(gamin)
BuildRequires:      pkgconfig(avahi-compat-libdns_sd)
BuildRequires:      doxygen >= 1.6.7.1
BuildRequires:      pkgconfig(libvisual-0.4)
BuildRequires:      pkgconfig(wavpack)
BuildRequires:      pkgconfig(sdl)
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      pkgconfig(readline)
BuildRequires:      pkgconfig(ncurses)
BuildRequires:      perl-Pod-Parser
BuildRequires:      pkgconfig(libmms)
BuildRequires:      pkgconfig(mad)
BuildRequires:      pkgconfig(fluidsynth)
BuildRequires:      pkgconfig(libavcodec)
BuildRequires:      pkgconfig(libmpg123)
BuildRequires:      pkgconfig(libsidplay2)
BuildRequires:      pkgconfig(opusfile)
BuildRequires:      pkgconfig(libgme)
BuildRequires:      pkgconfig(libcurl)
BuildRequires:      flex
BuildRequires:      valgrind
BuildRequires:      lcov
%if "%distro_section" == "tainted"
BuildRequires:      pkgconfig(faad2)
%endif

%description
XMMS2 is an audio framework, but it is not a general multimedia player - it 
will not play videos. It has a modular framework and plugin architecture for 
audio processing, visualization and output, but this framework has not been 
designed to support video. Also the client-server design of XMMS2 (and the 
daemon being independent of any graphics output) practically prevents direct 
video output being implemented. It has support for a wide range of audio 
formats, which is expandable via plugins. It includes a basic CLI interface 
to the XMMS2 framework, but most users will want to install a graphical XMMS2 
client (such as gxmms2 or esperanza).

%if "%distro_section" == "tainted"
This package is in the "tainted" section as it is built with FAAC support.
%endif

%package devel
Summary:    Development libraries and headers for XMMS2
Group:      Development/C++
Requires:   glib2-devel, boost-devel
Requires:   %{name} = %{version}-%{release}

%description devel
Development libraries and headers for XMMS2. You probably need this to develop
or build new plugins for XMMS2.

%package docs
Summary:    Development documentation for XMMS2
Group:      Sound/Players
BuildArch:  noarch
Requires:   %{name} >= %{version}-%{release}

%description docs
API documentation for the XMMS2 modular audio framework architecture.

%package perl
Summary:    Perl support for XMMS2
License:    GPL+ or Artistic
Group:      Sound/Players
Requires:   %{name} = %{version}-%{release}

%description perl
Perl bindings for XMMS2.

%package ruby
Summary:    Ruby support for XMMS2
Group:      Sound/Players
Requires:   %{name} = %{version}-%{release}

%description ruby
Ruby bindings for XMMS2.

%prep
%autosetup -p1

%if "%distro_section" != "tainted"
rm -rf src/plugins/mp4
%endif

%build
%global optflags %optflags -Wno-deprecated-declarations -Wno-unused-but-set-variable
%waf \
	--without-optionals=python \
	--with-ruby-libdir=%{ruby_vendorlibdir} \
	--with-ruby-archdir=%{ruby_vendorarchdir} \
	--with-perl-archdir=%{perl_vendorarch} \
	--with-pkgconfigdir=%{_libdir}/pkgconfig
%waf_build -v

# make the docs
doxygen -u
doxygen

%install
%waf_install \
	--with-ruby-libdir=%{ruby_vendorlibdir} \
	--with-ruby-archdir=%{ruby_vendorarchdir} \
	--with-perl-archdir=%{perl_vendorarch} \
	--with-pkgconfigdir=%{_libdir}/pkgconfig

# exec flags for debuginfo
chmod +x %{buildroot}%{_libdir}/%{name}/* %{buildroot}%{_libdir}/libxmmsclient*.so* \
    %{buildroot}%{perl_vendorarch}/auto/Audio/XMMSClient/XMMSClient.so %{buildroot}%{ruby_vendorarchdir}/xmmsclient_*.so

# Convert to utf-8
for i in %{buildroot}%{_mandir}/man1/*.gz; do
    gunzip $i;
done
for i in %{buildroot}%{_mandir}/man1/*.1 xmms2-%{version}.ChangeLog; do
    iconv -o $i.iso88591 -f iso88591 -t utf8 $i
    mv $i.iso88591 $i
done

install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}

%files
%doc AUTHORS xmms2-%{version}.ChangeLog README.mdown
%license COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/%{name}*
%{_bindir}/_xmms2-migrate-collections-v0
%{_bindir}/sqlite2s4
%{_libdir}/libxmmsclient*.so.*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}/

%files devel
%{_includedir}/%{name}/
%{_libdir}/libxmmsclient*.so
%{_libdir}/pkgconfig/%{name}-*.pc

%files docs
%doc doc/xmms2/html

%files perl
%{perl_vendorarch}/Audio/
%{perl_vendorarch}/auto/Audio/

%files ruby
%{ruby_vendorarchdir}/xmmsclient*
%{ruby_vendorlibdir}/xmmsclient*


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 0.9.5-5.mga10.tainted
+ Revision: 2244405
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.9.5-4.mga10
+ Revision: 2165071
- rebuild for libxml2 2.13.6

* Fri Feb 21 2025 daviddavid <daviddavid> 0.9.5-3.mga10.tainted
+ Revision: 2150363
- use bundled waf 2.0, our system one 2.1 is too new and fails to build

* Sun Dec 08 2024 daviddavid <daviddavid> 0.9.5-2.mga10.tainted
+ Revision: 2122897
- rebuild for new ffmpeg 7.1

* Mon Nov 25 2024 ns80 <ns80> 0.9.5-1.mga10.tainted
+ Revision: 2118855
- new version 0.9.5

* Tue Oct 08 2024 ns80 <ns80> 0.9.4-1.mga10.tainted
+ Revision: 2104138
- new version 0.9.4

* Mon May 15 2023 ns80 <ns80> 0.9.3-1.mga9.tainted
+ Revision: 1956920
- new version 0.9.3

* Thu Mar 30 2023 daviddavid <daviddavid> 0.9.2-2.mga9.tainted
+ Revision: 1950859
- switch to latest musepack SV8 instead of deprecated libmpcdec

* Tue Feb 14 2023 ns80 <ns80> 0.9.2-1.mga9.tainted
+ Revision: 1942040
- new version 0.9.2

* Sun Nov 20 2022 wally <wally> 0.9.1-5.mga9.tainted
+ Revision: 1909292
- rebuild for flac 1.4.2

* Thu Jun 09 2022 ns80 <ns80> 0.9.1-4.mga9.tainted
+ Revision: 1863675
- really fix source
- fix source

* Thu Jun 09 2022 ns80 <ns80> 0.9.1-2.mga9
+ Revision: 1863672
- add missing BR

* Wed Jun 08 2022 ns80 <ns80> 0.9.1-1.mga9.tainted
+ Revision: 1863630
- new version 0.9.1

* Wed Apr 06 2022 umeabot <umeabot> 0.8-43.mga9
+ Revision: 1845694
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.8-42.mga9
+ Revision: 1747810
- rebuild for openssl 3.0.0

* Thu Sep 09 2021 wally <wally> 0.8-41.mga9
+ Revision: 1744669
- rebuild for boost 1.77.0

* Sat Oct 31 2020 joequant <joequant> 0.8-40.mga8
+ Revision: 1640821
- add podselect dep
+ tv <tv>
- rebuild with perl-5.32

* Wed Feb 19 2020 umeabot <umeabot> 0.8-38.mga8
+ Revision: 1542521
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 wally <wally> 0.8-37.mga8
+ Revision: 1476435
- build with system waf
- drop python2 support
+ luigiwalser <luigiwalser>
- rebuild for readline

* Sun Jul 14 2019 daviddavid <daviddavid> 0.8-36.mga8
+ Revision: 1421256
- rebuild for new libcdio 2.1.0

* Sun Sep 23 2018 umeabot <umeabot> 0.8-35.mga7
+ Revision: 1301943
- Mageia 7 Mass Rebuild

* Sun Jan 14 2018 wally <wally> 0.8-34.mga7
+ Revision: 1193058
- rebuild for new libcdio

* Tue Jan 02 2018 wally <wally> 0.8-33.mga7
+ Revision: 1189745
- rebuild for new readline
+ pterjan <pterjan>
- Rebuild for Ruby 2.5

* Tue Sep 19 2017 pterjan <pterjan> 0.8-30.mga7
+ Revision: 1155973
- Get the package to build
- Rebuild for new Ruby
+ tv <tv>
- fix ruby dir
+ guillomovitch <guillomovitch>
- rebuild for latest openssl

* Sun Jun 19 2016 pterjan <pterjan> 0.8-27.mga6
+ Revision: 1036656
- Rebuild for perl 5.22.2

* Thu Mar 03 2016 umeabot <umeabot> 0.8-26.mga6
+ Revision: 984774
- Rebuild for openssl

* Sun Dec 27 2015 pterjan <pterjan> 0.8-25.mga6
+ Revision: 915531
- Fix build with ruby 2.2

* Thu Jul 16 2015 daviddavid <daviddavid> 0.8-24.mga6
+ Revision: 854667
- rebuild for new libcdio-0.93 and new libcdio-paranoia-0.93

* Fri Jun 26 2015 tv <tv> 0.8-23.mga6
+ Revision: 844613
- rebuild for perl-5.22

* Tue Jun 23 2015 sander85 <sander85> 0.8-22.mga6
+ Revision: 840726
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.8-21.mga5
+ Revision: 745473
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-20.mga5
+ Revision: 730746
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-19.mga5
+ Revision: 690719
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.8-18.mga5
+ Revision: 632396
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 16 2014 pterjan <pterjan> 0.8-16.mga5
+ Revision: 604291
- Fix ecore-devel BuildRequires
- Fix modplug include path

* Mon Feb 17 2014 pterjan <pterjan> 0.8-15.mga5
+ Revision: 593834
- Fix build by linking against libogg and libvorbis in addition to libvorbisenc
+ luigiwalser <luigiwalser>
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 0.8-13.mga4
+ Revision: 535865
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.8-12.mga4
+ Revision: 482714
- rebuild for ruby 2.0

* Mon Sep 02 2013 fwang <fwang> 0.8-11.mga4
+ Revision: 474211
- use new cdda.h location

* Sun Sep 01 2013 fwang <fwang> 0.8-10.mga4
+ Revision: 473900
- rebuild for new libcdio

* Tue Jul 09 2013 fwang <fwang> 0.8-9.mga4
+ Revision: 451688
- br python
- rebuild for new boost

* Wed May 29 2013 fwang <fwang> 0.8-8.mga4
+ Revision: 430312
- rebuild for new perl

* Wed Apr 10 2013 barjac <barjac> 0.8-7.mga3
+ Revision: 409450
- rebuild for boost-1.53

* Thu Jan 24 2013 juancho <juancho> 0.8-6.mga3
+ Revision: 391908
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.8-5.mga3
+ Revision: 387219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.8-4.mga3
+ Revision: 312331
- rebuild for new ruby

* Wed May 30 2012 jquelin <jquelin> 0.8-3.mga3
+ Revision: 251628
- perl 5.16 rebuild

* Mon Dec 19 2011 shlomif <shlomif> 0.8-2.mga2
+ Revision: 184490
- Convert to Mageia standard groups
- Change sqlite-devel BuildRequires to sqlite3-devel
- Convert the Release field to mkrel
- imported package xmms2


* Mon Dec  5 2011 Tom Callaway <spot@fedoraproject.org> - 0.8-1
- update to 0.8

* Sun Nov 20 2011 Adrian Reber <adrian@lisas.de> - 0.7-11
- Rebuild for libcdio-0.83

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.7-10
- Perl mass rebuild

* Thu Jun 09 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.7-9
- Perl 5.14 mass rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7-7
- bump for libecore

* Thu Sep 02 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7-6
- Bump for libao

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.7-5
- Add -j1 to the "./waf configure" line.

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7-4.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 29 2010 Mike McGrath <mmcgrath@redhat.com> - 0.7-3.1
- Rebuild to fix broken libcore-ver-svn dep

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.7-3
- Mass rebuild with perl-5.12.0

* Tue Jun  1 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.7-2
- Rebuild.

* Fri Jan 22 2010 Adrian Reber <adrian@lisas.de> - 0.6-7
- Rebuild for libcdio-0.82

* Tue Jan 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-6
- rebuild for new boost

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.6-5
- rebuild against perl 5.10.1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.6-4
- rebuilt with new openssl

* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-3
- BuildRequires: glib2-devel, readline-devel, ncurses-devel

* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-2
- BuildRequires: SDL-devel

* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-1
- update to 0.6

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 0.5-5
- rebuild with new openssl

* Tue Jan 13 2009 Adrian Reber <adrian@lisas.de> - 0.5-4
- Rebuild for libcdio-0.81

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.5-3
- Rebuild for boost-1.37.0.

* Wed Dec 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-2
- new docs subpackage
- many cleanups from package review

* Thu Dec 4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-1
- Initial package for Fedora
